VUZDevelopers

Get Tax Authority connection status

GET
/tax-authority/status

Returns the current connection status with Israel Tax Authority (חשבוניות ישראל)

X-Api-Key<token>

Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.

In: header

Response Body

application/json

curl -X GET "https://example.com/tax-authority/status"
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "businessId": "550e8400-e29b-41d4-a716-446655440001",  "status": "connected",  "authorizedAt": "2025-01-01T00:00:00.000Z",  "refreshTokenExpiresAt": "2025-04-01T00:00:00.000Z",  "daysUntilExpiry": 85,  "isExpiringSoon": false,  "totalAllocationsRequested": 150,  "totalAllocationsSuccessful": 148,  "lastUsedAt": "2025-01-07T10:30:00.000Z",  "lastErrorMessage": null}